diff --git a/doc/bash.0 b/doc/bash.0
index 3ffe4d50..06643833 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -3979,189 +3990,193 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
        hhiissttoorryy --ss _a_r_g [_a_r_g _._._.]
               With no options, display the command history list with line num-
               bers.  Lines listed with a ** have been modified.  An argument of
-              _n  lists only the last _n lines.  If the shell variable HHIISSTTTTIIMMEE--
-              FFOORRMMAATT is set and not null, it is used as a  format  string  for
-              _s_t_r_f_t_i_m_e(3)  to display the time stamp associated with each dis-
-              played history entry.  No intervening blank is  printed  between
-              the  formatted  time stamp and the history line.  If _f_i_l_e_n_a_m_e is
-              supplied, it is used as the name of the history  file;  if  not,
-              the  value  of HHIISSTTFFIILLEE is used.  Options, if supplied, have the
+              _n lists only the last _n lines.  If the shell variable  HHIISSTTTTIIMMEE--
+              FFOORRMMAATT  is  set  and not null, it is used as a format string for
+              _s_t_r_f_t_i_m_e(3) to display the time stamp associated with each  dis-
+              played  history  entry.  No intervening blank is printed between
+              the formatted time stamp and the history line.  If  _f_i_l_e_n_a_m_e  is
+              supplied,  it  is  used as the name of the history file; if not,
+              the value of HHIISSTTFFIILLEE is used.  Options, if supplied,  have  the
               following meanings:
               --cc     Clear the history list by deleting all the entries.
               --dd _o_f_f_s_e_t
                      Delete the history entry at position _o_f_f_s_e_t.
-              --aa     Append the ``new'' history lines (history  lines  entered
-                     since  the  beginning of the current bbaasshh session) to the
+              --aa     Append  the  ``new'' history lines (history lines entered
+                     since the beginning of the current bbaasshh session)  to  the
                      history file.
-              --nn     Read the history lines not already read from the  history
-                     file  into  the  current  history  list.  These are lines
-                     appended to the history file since the beginning  of  the
+              --nn     Read  the history lines not already read from the history
+                     file into the current  history  list.   These  are  lines
+                     appended  to  the history file since the beginning of the
                      current bbaasshh session.
               --rr     Read the contents of the history file and use them as the
                      current history.
-              --ww     Write the current history to the history file,  overwrit-
+              --ww     Write  the current history to the history file, overwrit-
                      ing the history file's contents.
-              --pp     Perform  history  substitution  on the following _a_r_g_s and
-                     display the result on  the  standard  output.   Does  not
-                     store  the results in the history list.  Each _a_r_g must be
+              --pp     Perform history substitution on the  following  _a_r_g_s  and
+                     display  the  result  on  the  standard output.  Does not
+                     store the results in the history list.  Each _a_r_g must  be
                      quoted to disable normal history expansion.
-              --ss     Store the _a_r_g_s in the history list  as  a  single  entry.
-                     The  last  command  in the history list is removed before
+              --ss     Store  the  _a_r_g_s  in  the history list as a single entry.
+                     The last command in the history list  is  removed  before
                      the _a_r_g_s are added.
 
               If the HHIISSTTTTIIMMEEFFOORRMMAATT is set, the time stamp information associ-
-              ated  with  each  history  entry is written to the history file.
-              The return value is 0 unless an invalid option  is  encountered,
-              an  error  occurs  while reading or writing the history file, an
-              invalid _o_f_f_s_e_t is supplied as an argument to --dd, or the  history
-              expansion supplied as an argument to --pp fails.
+              ated with each history entry is written  to  the  history  file,
+              marked  with  the  history  comment character.  When the history
+              file is read, lines beginning with the history comment character
+              followed  immediately  by  a digit are interpreted as timestamps
+              for the previous history line.  The return value is 0 unless  an
+              invalid  option is encountered, an error occurs while reading or
+              writing the history file, an invalid _o_f_f_s_e_t is  supplied  as  an
+              argument to --dd, or the history expansion supplied as an argument
+              to --pp fails.
 
        jjoobbss [--llnnpprrss] [ _j_o_b_s_p_e_c ... ]
        jjoobbss --xx _c_o_m_m_a_n_d [ _a_r_g_s ... ]
               The first form lists the active jobs.  The options have the fol-
               lowing meanings:
               --ll     List process IDs in addition to the normal information.
-              --pp     List only the process  ID  of  the  job's  process  group
+              --pp     List  only  the  process  ID  of  the job's process group
                      leader.
-              --nn     Display  information  only  about  jobs that have changed
-                     status since the user was last notified of their  status.
+              --nn     Display information only about  jobs  that  have  changed
+                     status  since the user was last notified of their status.
               --rr     Restrict output to running jobs.
               --ss     Restrict output to stopped jobs.
 
-              If  _j_o_b_s_p_e_c  is given, output is restricted to information about
-              that job.  The return status is 0 unless an  invalid  option  is
+              If _j_o_b_s_p_e_c is given, output is restricted to  information  about
+              that  job.   The  return status is 0 unless an invalid option is
               encountered or an invalid _j_o_b_s_p_e_c is supplied.
 
               If the --xx option is supplied, jjoobbss replaces any _j_o_b_s_p_e_c found in
-              _c_o_m_m_a_n_d or _a_r_g_s with the corresponding  process  group  ID,  and
+              _c_o_m_m_a_n_d  or  _a_r_g_s  with  the corresponding process group ID, and
               executes _c_o_m_m_a_n_d passing it _a_r_g_s, returning its exit status.
 
        kkiillll [--ss _s_i_g_s_p_e_c | --nn _s_i_g_n_u_m | --_s_i_g_s_p_e_c] [_p_i_d | _j_o_b_s_p_e_c] ...
        kkiillll --ll [_s_i_g_s_p_e_c | _e_x_i_t___s_t_a_t_u_s]
-              Send  the  signal  named  by  _s_i_g_s_p_e_c or _s_i_g_n_u_m to the processes
-              named by _p_i_d or _j_o_b_s_p_e_c.  _s_i_g_s_p_e_c is either  a  case-insensitive
-              signal  name such as SSIIGGKKIILLLL (with or without the SSIIGG prefix) or
-              a signal number; _s_i_g_n_u_m is a signal number.  If _s_i_g_s_p_e_c  is  not
-              present,  then  SSIIGGTTEERRMM is assumed.  An argument of --ll lists the
-              signal names.  If any arguments are supplied when --ll  is  given,
-              the  names  of  the  signals  corresponding to the arguments are
+              Send the signal named by _s_i_g_s_p_e_c  or  _s_i_g_n_u_m  to  the  processes
+              named  by  _p_i_d or _j_o_b_s_p_e_c.  _s_i_g_s_p_e_c is either a case-insensitive
+              signal name such as SSIIGGKKIILLLL (with or without the SSIIGG prefix)  or
+              a  signal  number; _s_i_g_n_u_m is a signal number.  If _s_i_g_s_p_e_c is not
+              present, then SSIIGGTTEERRMM is assumed.  An argument of --ll  lists  the
+              signal  names.   If any arguments are supplied when --ll is given,
+              the names of the signals  corresponding  to  the  arguments  are
               listed, and the return status is 0.  The _e_x_i_t___s_t_a_t_u_s argument to
-              --ll  is  a  number  specifying either a signal number or the exit
-              status of a process terminated by a signal.  kkiillll  returns  true
-              if  at  least  one  signal was successfully sent, or false if an
+              --ll is a number specifying either a signal  number  or  the  exit
+              status  of  a process terminated by a signal.  kkiillll returns true
+              if at least one signal was successfully sent,  or  false  if  an
               error occurs or an invalid option is encountered.
 
        lleett _a_r_g [_a_r_g ...]
               Each _a_r_g is an arithmetic expression to be evaluated (see AARRIITTHH--
-              MMEETTIICC  EEVVAALLUUAATTIIOONN).  If the last _a_r_g evaluates to 0, lleett returns
+              MMEETTIICC EEVVAALLUUAATTIIOONN).  If the last _a_r_g evaluates to 0, lleett  returns
               1; 0 is returned otherwise.
 
        llooccaall [_o_p_t_i_o_n] [_n_a_m_e[=_v_a_l_u_e] ...]
-              For each argument, a local variable named _n_a_m_e is  created,  and
-              assigned  _v_a_l_u_e.   The _o_p_t_i_o_n can be any of the options accepted
+              For  each  argument, a local variable named _n_a_m_e is created, and
+              assigned _v_a_l_u_e.  The _o_p_t_i_o_n can be any of the  options  accepted
               by ddeeccllaarree.  When llooccaall is used within a function, it causes the
-              variable  _n_a_m_e  to have a visible scope restricted to that func-
+              variable _n_a_m_e to have a visible scope restricted to  that  func-
               tion and its children.  With no operands, llooccaall writes a list of
-              local  variables  to the standard output.  It is an error to use
+              local variables to the standard output.  It is an error  to  use
               llooccaall when not within a function.  The return status is 0 unless
-              llooccaall  is  used outside a function, an invalid _n_a_m_e is supplied,
+              llooccaall is used outside a function, an invalid _n_a_m_e  is  supplied,
               or _n_a_m_e is a readonly variable.
 
        llooggoouutt Exit a login shell.
 
        ppooppdd [-nn] [+_n] [-_n]
-              Removes entries from the directory stack.   With  no  arguments,
-              removes  the  top directory from the stack, and performs a ccdd to
+              Removes  entries  from  the directory stack.  With no arguments,
+              removes the top directory from the stack, and performs a  ccdd  to
               the new top directory.  Arguments, if supplied, have the follow-
               ing meanings:
-              --nn     Suppresses  the  normal change of directory when removing
-                     directories from the stack, so that  only  the  stack  is
+              --nn     Suppresses the normal change of directory  when  removing
+                     directories  from  the  stack,  so that only the stack is
                      manipulated.
-              ++_n     Removes  the _nth entry counting from the left of the list
-                     shown by ddiirrss, starting with zero.  For  example:  ``popd
+              ++_n     Removes the _nth entry counting from the left of the  list
+                     shown  by  ddiirrss, starting with zero.  For example: ``popd
                      +0'' removes the first directory, ``popd +1'' the second.
               --_n     Removes the _nth entry counting from the right of the list
-                     shown  by  ddiirrss, starting with zero.  For example: ``popd
-                     -0'' removes the last directory, ``popd -1'' the next  to
+                     shown by ddiirrss, starting with zero.  For  example:  ``popd
+                     -0''  removes the last directory, ``popd -1'' the next to
                      last.
 
-              If  the ppooppdd command is successful, a ddiirrss is performed as well,
-              and the return status is 0.  ppooppdd returns false  if  an  invalid
+              If the ppooppdd command is successful, a ddiirrss is performed as  well,
+              and  the  return  status is 0.  ppooppdd returns false if an invalid
               option is encountered, the directory stack is empty, a non-exis-
               tent directory stack entry is specified, or the directory change
               fails.
 
        pprriinnttff [--vv _v_a_r] _f_o_r_m_a_t [_a_r_g_u_m_e_n_t_s]
-              Write  the  formatted _a_r_g_u_m_e_n_t_s to the standard output under the
-              control of the _f_o_r_m_a_t.  The _f_o_r_m_a_t is a character  string  which
-              contains  three  types  of  objects: plain characters, which are
-              simply copied to standard output,  character  escape  sequences,
-              which  are converted and copied to the standard output, and for-
-              mat specifications, each of which causes printing  of  the  next
+              Write the formatted _a_r_g_u_m_e_n_t_s to the standard output  under  the
+              control  of  the _f_o_r_m_a_t.  The _f_o_r_m_a_t is a character string which
+              contains three types of objects:  plain  characters,  which  are
+              simply  copied  to  standard output, character escape sequences,
+              which are converted and copied to the standard output, and  for-
+              mat  specifications,  each  of which causes printing of the next
               successive _a_r_g_u_m_e_n_t.  In addition to the standard _p_r_i_n_t_f(1) for-
-              mats, %%bb causes pprriinnttff to expand backslash escape  sequences  in
-              the  corresponding  _a_r_g_u_m_e_n_t  (except that \\cc terminates output,
+              mats,  %%bb  causes pprriinnttff to expand backslash escape sequences in
+              the corresponding _a_r_g_u_m_e_n_t (except that  \\cc  terminates  output,
               backslashes in \\'', \\"", and \\?? are not removed, and octal escapes
-              beginning  with \\00 may contain up to four digits), and %%qq causes
+              beginning with \\00 may contain up to four digits), and %%qq  causes
               pprriinnttff to output the corresponding _a_r_g_u_m_e_n_t in a format that can
               be reused as shell input.
 
-              The  --vv  option causes the output to be assigned to the variable
+              The --vv option causes the output to be assigned to  the  variable
               _v_a_r rather than being printed to the standard output.
 
-              The _f_o_r_m_a_t is reused as necessary to consume all  of  the  _a_r_g_u_-
+              The  _f_o_r_m_a_t  is  reused as necessary to consume all of the _a_r_g_u_-
               _m_e_n_t_s.  If the _f_o_r_m_a_t requires more _a_r_g_u_m_e_n_t_s than are supplied,
-              the extra format specifications behave as if  a  zero  value  or
-              null  string,  as  appropriate,  had  been supplied.  The return
+              the  extra  format  specifications  behave as if a zero value or
+              null string, as appropriate,  had  been  supplied.   The  return
               value is zero on success, non-zero on failure.
 
        ppuusshhdd [--nn] [+_n] [-_n]
        ppuusshhdd [--nn] [_d_i_r]
-              Adds a directory to the top of the directory stack,  or  rotates
-              the  stack,  making the new top of the stack the current working
+              Adds  a  directory to the top of the directory stack, or rotates
+              the stack, making the new top of the stack the  current  working
               directory.  With no arguments, exchanges the top two directories
-              and  returns 0, unless the directory stack is empty.  Arguments,
+              and returns 0, unless the directory stack is empty.   Arguments,
               if supplied, have the following meanings:
-              --nn     Suppresses the normal change  of  directory  when  adding
-                     directories  to  the  stack,  so  that  only the stack is
+              --nn     Suppresses  the  normal  change  of directory when adding
+                     directories to the stack,  so  that  only  the  stack  is
                      manipulated.
-              ++_n     Rotates the stack so that  the  _nth  directory  (counting
-                     from  the  left  of the list shown by ddiirrss, starting with
+              ++_n     Rotates  the  stack  so  that the _nth directory (counting
+                     from the left of the list shown by  ddiirrss,  starting  with
                      zero) is at the top.
-              --_n     Rotates the stack so that  the  _nth  directory  (counting
-                     from  the  right of the list shown by ddiirrss, starting with
+              --_n     Rotates  the  stack  so  that the _nth directory (counting
+                     from the right of the list shown by ddiirrss,  starting  with
                      zero) is at the top.
               _d_i_r    Adds _d_i_r to the directory stack at the top, making it the
                      new current working directory.
 
               If the ppuusshhdd command is successful, a ddiirrss is performed as well.
-              If the first form is used, ppuusshhdd returns 0 unless the cd to  _d_i_r
-              fails.   With the second form, ppuusshhdd returns 0 unless the direc-
-              tory stack is empty, a non-existent directory stack  element  is
-              specified,  or the directory change to the specified new current
+              If  the first form is used, ppuusshhdd returns 0 unless the cd to _d_i_r
+              fails.  With the second form, ppuusshhdd returns 0 unless the  direc-
+              tory  stack  is empty, a non-existent directory stack element is
+              specified, or the directory change to the specified new  current
               directory fails.
 
        ppwwdd [--LLPP]
-              Print the absolute pathname of the  current  working  directory.
+              Print  the  absolute  pathname of the current working directory.
               The pathname printed contains no symbolic links if the --PP option
               is supplied or the --oo pphhyyssiiccaall option to the sseett builtin command
-              is  enabled.  If the --LL option is used, the pathname printed may
-              contain symbolic links.  The return status is 0 unless an  error
-              occurs  while  reading  the  name of the current directory or an
+              is enabled.  If the --LL option is used, the pathname printed  may
+              contain  symbolic links.  The return status is 0 unless an error
+              occurs while reading the name of the  current  directory  or  an
               invalid option is supplied.
 
-       rreeaadd [--eerrss] [--aa _a_n_a_m_e] [--dd _d_e_l_i_m] [--nn _n_c_h_a_r_s] [--pp _p_r_o_m_p_t] [--tt  _t_i_m_e_o_u_t]
+       rreeaadd  [--eerrss] [--aa _a_n_a_m_e] [--dd _d_e_l_i_m] [--nn _n_c_h_a_r_s] [--pp _p_r_o_m_p_t] [--tt _t_i_m_e_o_u_t]
        [--uu _f_d] [_n_a_m_e ...]
-              One line is read from the  standard  input,  or  from  the  file
-              descriptor  _f_d supplied as an argument to the --uu option, and the
+              One  line  is  read  from  the  standard input, or from the file
+              descriptor _f_d supplied as an argument to the --uu option, and  the
               first word is assigned to the first _n_a_m_e, the second word to the
-              second  _n_a_m_e, and so on, with leftover words and their interven-
-              ing separators assigned to the last _n_a_m_e.  If  there  are  fewer
+              second _n_a_m_e, and so on, with leftover words and their  interven-
+              ing  separators  assigned  to the last _n_a_m_e.  If there are fewer
               words read from the input stream than names, the remaining names
-              are assigned empty values.  The characters in IIFFSS  are  used  to
-              split  the  line into words.  The backslash character (\\) may be
-              used to remove any special meaning for the next  character  read
-              and  for line continuation.  Options, if supplied, have the fol-
+              are  assigned  empty  values.  The characters in IIFFSS are used to
+              split the line into words.  The backslash character (\\)  may  be
+              used  to  remove any special meaning for the next character read
+              and for line continuation.  Options, if supplied, have the  fol-
               lowing meanings:
               --aa _a_n_a_m_e
                      The words are assigned to sequential indices of the array
